본문 바로가기
programming language/Julia

Julia package 설치 에러 날 때는 package update 부터~

by 남성 2019. 4. 23.

요즘 나오는 대부분의 컴퓨터 언어가 그렇지만 패키지 관리자가 있어서 굉장히 쉽게 라이브러리를 설치하거나 삭제할 수 있습니다. 요즘 뜨고 있는 Julia 역시 마찬가지로 패키지 관리자가 있고~ Pkg.add(), Pkg.init(), Pkg.build() 와 같은 명령어를 제공해 줍니다.

julia 설치와 관련해서는 아래 포스팅을 참조하시기 바랍니다.

https://iamaman.tistory.com/2655

최근에 julia 의 그래프 기능을 사용해 보기 위해서 Plots 를 설치하려고 Pkg.add(“Plots”) 을 타이핑 해보니 뭐라 뭐라 에러가 나오더군요. 위 포스팅에서 소개한대로 최신의 JuliaPro 를 설치했는데…. 뭔가 시작부터 안 되는 느낌이라서 조금 짜증이 났습니다. 그래도 궁금한 건 못 참는 성격이기에 검색을 조금 해 보니 업데이트가 안 돼서 그런 것이더군요. 줄리아를 처음 설치했다면 아래 명령어로 일단 업데이트부터 해주는게 좋을 것 같습니다.

Pkg.update()

위 명령으로 패키지를 업데이트 해주고 나니 이후에는 plots package 를 설치할 수 있었습니다.

plots package 를 설치하고 아래 주소에 있는 plots 예제를 실행해 봤습니다.

https://julialang.org/downloads/plotting.html

using Plots

plotly() # Choose the Plotly.jl backend for web interactivity

plot(rand(5,5), linewidth=2, title="My Plot")

처음에는 package 를 로드하는데 시간이 걸리더군요.

pyplot 을 사용하는 예제들은 아직도 동작이 안되는 경우가 있었는데~ 위 코드는 정상적으로 동작을 하더군요~

아래와 같이 브라우저에서 그래프가 나오는 것을 확인할 수 있었습니다.

추가적으로 아직은 julia 초심자이다보니 cheatsheet 가 필요했는데 아래 링크에서 cheatsheet 를 찾을 수 있었습니다.

http://math.mit.edu/~stevenj/Julia-cheatsheet.pdf

아래 포스팅에서 소개했던 Launchy 등에 cheatsheet 를 등록해 놓고 사용한다면 필요할 때마다 편리하게 이용할 수 있을 것 같네요.

https://iamaman.tistory.com/911



댓글0